System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

Packages depedencies issue while updating in RHEL 4

SOLVED
Go to solution
senthil_kumar_1
Super Advisor

Packages depedencies issue while updating in RHEL 4

Hi All

I am getting Packages depedencies issues for gcc while updating.

I used the command "up2date -fu" to update the packages.

Please find the attachment for error message.
2 REPLIES
Steven E. Protter
Exalted Contributor
Solution

Re: Packages depedencies issue while updating in RHEL 4

Shalom,

You have two versions of:
gcc-c++
libgcc
gcc

rpm -e the earlier versions with the same command line. This should resolve the problem.

Next question is how did this happen. My guess is an earlier update crashed.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
senthil_kumar_1
Super Advisor

Re: Packages depedencies issue while updating in RHEL 4

I have removed those packages "gcc-c++-3.4.6-8 and gcc-g77-3.4.6-8".

Still i did not start the start the update once again.

I will let you know the result after updting once again.